#ifndef MARS_MFresnelLens
#define MARS_MFresnelLens

#ifndef MARS_MOptics
#include "MOptics.h"
#endif

class MQuaternion;

class MFresnelLens : public MOptics
{
private:
    Double_t fMaxR;

    void InitMaxR();

public:
    MFresnelLens(const char *name=NULL, const char *title=NULL);

    Double_t GetMaxR() const { return fMaxR; }
    Double_t GetA() const;

    virtual Bool_t CanHit(const MQuaternion &p) const;

    Int_t ExecuteOptics(MQuaternion &p, MQuaternion &u, const Short_t &) const;

    Bool_t IsValid() const { return kTRUE; }

    ClassDef(MFresnelLens, 1) // Parameter container storing the description of a lens
};
    
#endif
